//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef ECITYCONQ_H
#define ECITYCONQ_H

#include "Event.h"

class City;

/** This event is raised if a specified city is conquered by someone. It does
  * not matter if the city is conquered by a special player.
  *
  * See Event.h for more information about the event structures.
  */


class ECityConq : public Event
{
    public:
        //Default constructor
        ECityConq(unsigned int city);

        //! Loading constructor
        ECityConq(XML_Helper* helper);
        virtual ~ECityConq();

        //! Saves the event data
        virtual bool save(XML_Helper* helper);

        //! Initialises the event (Links trigger function to all signals)
        void init();

        //! Callback which triggers the event
        virtual void trigger(City* city);

        //! Returns the city which we observe for occupation.
        City* getCity();

    protected:
        unsigned int d_city;
};
        

#endif //ECITYCONQ_H
